﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.ANDREANI_ImposicionRemotaService {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamAltaPiezaDirecta", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamAltaPiezaDirecta : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CalleField;
        
        private string CategoriaDistanciaField;
        
        private string CategoriaFacturacionField;
        
        private string CategoriaPesoField;
        
        private string CodigoPostalDestinoField;
        
        private string ContratoField;
        
        private string DepartamentoField;
        
        private string DetalleProductosEntregaField;
        
        private string DetalleProductosRetiroField;
        
        private string EmailField;
        
        private string LocalidadField;
        
        private string NombreApellidoField;
        
        private string NombreApellidoAlternativoField;
        
        private string NumeroField;
        
        private string NumeroCelularField;
        
        private string NumeroDocumentoField;
        
        private string NumeroTelefonoField;
        
        private string NumeroTransaccionField;
        
        private string PesoField;
        
        private string PisoField;
        
        private string ProvinciaField;
        
        private string SucursalClienteField;
        
        private string SucursalRetiroField;
        
        private string TarifaEnvioField;
        
        private string TipoDocumentoField;
        
        private string ValorACobrarField;
        
        private string ValorDeclaradoField;
        
        private string VolumenField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Calle {
            get {
                return this.CalleField;
            }
            set {
                if ((object.ReferenceEquals(this.CalleField, value) != true)) {
                    this.CalleField = value;
                    this.RaisePropertyChanged("Calle");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CategoriaDistancia {
            get {
                return this.CategoriaDistanciaField;
            }
            set {
                if ((object.ReferenceEquals(this.CategoriaDistanciaField, value) != true)) {
                    this.CategoriaDistanciaField = value;
                    this.RaisePropertyChanged("CategoriaDistancia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CategoriaFacturacion {
            get {
                return this.CategoriaFacturacionField;
            }
            set {
                if ((object.ReferenceEquals(this.CategoriaFacturacionField, value) != true)) {
                    this.CategoriaFacturacionField = value;
                    this.RaisePropertyChanged("CategoriaFacturacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CategoriaPeso {
            get {
                return this.CategoriaPesoField;
            }
            set {
                if ((object.ReferenceEquals(this.CategoriaPesoField, value) != true)) {
                    this.CategoriaPesoField = value;
                    this.RaisePropertyChanged("CategoriaPeso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CodigoPostalDestino {
            get {
                return this.CodigoPostalDestinoField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoPostalDestinoField, value) != true)) {
                    this.CodigoPostalDestinoField = value;
                    this.RaisePropertyChanged("CodigoPostalDestino");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Contrato {
            get {
                return this.ContratoField;
            }
            set {
                if ((object.ReferenceEquals(this.ContratoField, value) != true)) {
                    this.ContratoField = value;
                    this.RaisePropertyChanged("Contrato");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Departamento {
            get {
                return this.DepartamentoField;
            }
            set {
                if ((object.ReferenceEquals(this.DepartamentoField, value) != true)) {
                    this.DepartamentoField = value;
                    this.RaisePropertyChanged("Departamento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string DetalleProductosEntrega {
            get {
                return this.DetalleProductosEntregaField;
            }
            set {
                if ((object.ReferenceEquals(this.DetalleProductosEntregaField, value) != true)) {
                    this.DetalleProductosEntregaField = value;
                    this.RaisePropertyChanged("DetalleProductosEntrega");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string DetalleProductosRetiro {
            get {
                return this.DetalleProductosRetiroField;
            }
            set {
                if ((object.ReferenceEquals(this.DetalleProductosRetiroField, value) != true)) {
                    this.DetalleProductosRetiroField = value;
                    this.RaisePropertyChanged("DetalleProductosRetiro");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Email {
            get {
                return this.EmailField;
            }
            set {
                if ((object.ReferenceEquals(this.EmailField, value) != true)) {
                    this.EmailField = value;
                    this.RaisePropertyChanged("Email");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Localidad {
            get {
                return this.LocalidadField;
            }
            set {
                if ((object.ReferenceEquals(this.LocalidadField, value) != true)) {
                    this.LocalidadField = value;
                    this.RaisePropertyChanged("Localidad");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NombreApellido {
            get {
                return this.NombreApellidoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreApellidoField, value) != true)) {
                    this.NombreApellidoField = value;
                    this.RaisePropertyChanged("NombreApellido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NombreApellidoAlternativo {
            get {
                return this.NombreApellidoAlternativoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreApellidoAlternativoField, value) != true)) {
                    this.NombreApellidoAlternativoField = value;
                    this.RaisePropertyChanged("NombreApellidoAlternativo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Numero {
            get {
                return this.NumeroField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroField, value) != true)) {
                    this.NumeroField = value;
                    this.RaisePropertyChanged("Numero");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroCelular {
            get {
                return this.NumeroCelularField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroCelularField, value) != true)) {
                    this.NumeroCelularField = value;
                    this.RaisePropertyChanged("NumeroCelular");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroDocumento {
            get {
                return this.NumeroDocumentoField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroDocumentoField, value) != true)) {
                    this.NumeroDocumentoField = value;
                    this.RaisePropertyChanged("NumeroDocumento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroTelefono {
            get {
                return this.NumeroTelefonoField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroTelefonoField, value) != true)) {
                    this.NumeroTelefonoField = value;
                    this.RaisePropertyChanged("NumeroTelefono");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroTransaccion {
            get {
                return this.NumeroTransaccionField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroTransaccionField, value) != true)) {
                    this.NumeroTransaccionField = value;
                    this.RaisePropertyChanged("NumeroTransaccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Peso {
            get {
                return this.PesoField;
            }
            set {
                if ((object.ReferenceEquals(this.PesoField, value) != true)) {
                    this.PesoField = value;
                    this.RaisePropertyChanged("Peso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Piso {
            get {
                return this.PisoField;
            }
            set {
                if ((object.ReferenceEquals(this.PisoField, value) != true)) {
                    this.PisoField = value;
                    this.RaisePropertyChanged("Piso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Provincia {
            get {
                return this.ProvinciaField;
            }
            set {
                if ((object.ReferenceEquals(this.ProvinciaField, value) != true)) {
                    this.ProvinciaField = value;
                    this.RaisePropertyChanged("Provincia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string SucursalCliente {
            get {
                return this.SucursalClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.SucursalClienteField, value) != true)) {
                    this.SucursalClienteField = value;
                    this.RaisePropertyChanged("SucursalCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string SucursalRetiro {
            get {
                return this.SucursalRetiroField;
            }
            set {
                if ((object.ReferenceEquals(this.SucursalRetiroField, value) != true)) {
                    this.SucursalRetiroField = value;
                    this.RaisePropertyChanged("SucursalRetiro");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string TarifaEnvio {
            get {
                return this.TarifaEnvioField;
            }
            set {
                if ((object.ReferenceEquals(this.TarifaEnvioField, value) != true)) {
                    this.TarifaEnvioField = value;
                    this.RaisePropertyChanged("TarifaEnvio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string TipoDocumento {
            get {
                return this.TipoDocumentoField;
            }
            set {
                if ((object.ReferenceEquals(this.TipoDocumentoField, value) != true)) {
                    this.TipoDocumentoField = value;
                    this.RaisePropertyChanged("TipoDocumento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string ValorACobrar {
            get {
                return this.ValorACobrarField;
            }
            set {
                if ((object.ReferenceEquals(this.ValorACobrarField, value) != true)) {
                    this.ValorACobrarField = value;
                    this.RaisePropertyChanged("ValorACobrar");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string ValorDeclarado {
            get {
                return this.ValorDeclaradoField;
            }
            set {
                if ((object.ReferenceEquals(this.ValorDeclaradoField, value) != true)) {
                    this.ValorDeclaradoField = value;
                    this.RaisePropertyChanged("ValorDeclarado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Volumen {
            get {
                return this.VolumenField;
            }
            set {
                if ((object.ReferenceEquals(this.VolumenField, value) != true)) {
                    this.VolumenField = value;
                    this.RaisePropertyChanged("Volumen");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoAltaPiezaDirecta", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoAltaPiezaDirecta : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string MessageField;
        
        private string NumeroAndreaniField;
        
        private string URLEtiquetaField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Message {
            get {
                return this.MessageField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageField, value) != true)) {
                    this.MessageField = value;
                    this.RaisePropertyChanged("Message");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string URLEtiqueta {
            get {
                return this.URLEtiquetaField;
            }
            set {
                if ((object.ReferenceEquals(this.URLEtiquetaField, value) != true)) {
                    this.URLEtiquetaField = value;
                    this.RaisePropertyChanged("URLEtiqueta");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamAnularEnvios", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamAnularEnvios : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroAndreaniField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoAnularEnvios", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoAnularEnvios : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CodigoTransaccionField;
        
        private string DestinatarioField;
        
        private string IdClienteField;
        
        private string NumeroAndreaniField;
        
        private string ProductosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CodigoTransaccion {
            get {
                return this.CodigoTransaccionField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoTransaccionField, value) != true)) {
                    this.CodigoTransaccionField = value;
                    this.RaisePropertyChanged("CodigoTransaccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Destinatario {
            get {
                return this.DestinatarioField;
            }
            set {
                if ((object.ReferenceEquals(this.DestinatarioField, value) != true)) {
                    this.DestinatarioField = value;
                    this.RaisePropertyChanged("Destinatario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string IdCliente {
            get {
                return this.IdClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.IdClienteField, value) != true)) {
                    this.IdClienteField = value;
                    this.RaisePropertyChanged("IdCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Productos {
            get {
                return this.ProductosField;
            }
            set {
                if ((object.ReferenceEquals(this.ProductosField, value) != true)) {
                    this.ProductosField = value;
                    this.RaisePropertyChanged("Productos");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamConfirmarCompra", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompraConRecibo))]
    public partial class ParamConfirmarCompra : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CalleField;
        
        private string CategoriaDistanciaField;
        
        private string CategoriaFacturacionField;
        
        private string CategoriaPesoField;
        
        private string CodigoPostalDestinoField;
        
        private string ContratoField;
        
        private string DepartamentoField;
        
        private string DetalleProductosEntregaField;
        
        private string DetalleProductosRetiroField;
        
        private string EmailField;
        
        private string LocalidadField;
        
        private string NombreApellidoField;
        
        private string NombreApellidoAlternativoField;
        
        private string NumeroField;
        
        private string NumeroCelularField;
        
        private string NumeroDocumentoField;
        
        private string NumeroTelefonoField;
        
        private string NumeroTransaccionField;
        
        private string PesoField;
        
        private string PisoField;
        
        private string ProvinciaField;
        
        private string SucursalClienteField;
        
        private string SucursalRetiroField;
        
        private string TarifaField;
        
        private string TipoDocumentoField;
        
        private string ValorACobrarField;
        
        private string ValorDeclaradoField;
        
        private string VolumenField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Calle {
            get {
                return this.CalleField;
            }
            set {
                if ((object.ReferenceEquals(this.CalleField, value) != true)) {
                    this.CalleField = value;
                    this.RaisePropertyChanged("Calle");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CategoriaDistancia {
            get {
                return this.CategoriaDistanciaField;
            }
            set {
                if ((object.ReferenceEquals(this.CategoriaDistanciaField, value) != true)) {
                    this.CategoriaDistanciaField = value;
                    this.RaisePropertyChanged("CategoriaDistancia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CategoriaFacturacion {
            get {
                return this.CategoriaFacturacionField;
            }
            set {
                if ((object.ReferenceEquals(this.CategoriaFacturacionField, value) != true)) {
                    this.CategoriaFacturacionField = value;
                    this.RaisePropertyChanged("CategoriaFacturacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CategoriaPeso {
            get {
                return this.CategoriaPesoField;
            }
            set {
                if ((object.ReferenceEquals(this.CategoriaPesoField, value) != true)) {
                    this.CategoriaPesoField = value;
                    this.RaisePropertyChanged("CategoriaPeso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CodigoPostalDestino {
            get {
                return this.CodigoPostalDestinoField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoPostalDestinoField, value) != true)) {
                    this.CodigoPostalDestinoField = value;
                    this.RaisePropertyChanged("CodigoPostalDestino");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Contrato {
            get {
                return this.ContratoField;
            }
            set {
                if ((object.ReferenceEquals(this.ContratoField, value) != true)) {
                    this.ContratoField = value;
                    this.RaisePropertyChanged("Contrato");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Departamento {
            get {
                return this.DepartamentoField;
            }
            set {
                if ((object.ReferenceEquals(this.DepartamentoField, value) != true)) {
                    this.DepartamentoField = value;
                    this.RaisePropertyChanged("Departamento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string DetalleProductosEntrega {
            get {
                return this.DetalleProductosEntregaField;
            }
            set {
                if ((object.ReferenceEquals(this.DetalleProductosEntregaField, value) != true)) {
                    this.DetalleProductosEntregaField = value;
                    this.RaisePropertyChanged("DetalleProductosEntrega");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string DetalleProductosRetiro {
            get {
                return this.DetalleProductosRetiroField;
            }
            set {
                if ((object.ReferenceEquals(this.DetalleProductosRetiroField, value) != true)) {
                    this.DetalleProductosRetiroField = value;
                    this.RaisePropertyChanged("DetalleProductosRetiro");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Email {
            get {
                return this.EmailField;
            }
            set {
                if ((object.ReferenceEquals(this.EmailField, value) != true)) {
                    this.EmailField = value;
                    this.RaisePropertyChanged("Email");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Localidad {
            get {
                return this.LocalidadField;
            }
            set {
                if ((object.ReferenceEquals(this.LocalidadField, value) != true)) {
                    this.LocalidadField = value;
                    this.RaisePropertyChanged("Localidad");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NombreApellido {
            get {
                return this.NombreApellidoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreApellidoField, value) != true)) {
                    this.NombreApellidoField = value;
                    this.RaisePropertyChanged("NombreApellido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NombreApellidoAlternativo {
            get {
                return this.NombreApellidoAlternativoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreApellidoAlternativoField, value) != true)) {
                    this.NombreApellidoAlternativoField = value;
                    this.RaisePropertyChanged("NombreApellidoAlternativo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Numero {
            get {
                return this.NumeroField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroField, value) != true)) {
                    this.NumeroField = value;
                    this.RaisePropertyChanged("Numero");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroCelular {
            get {
                return this.NumeroCelularField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroCelularField, value) != true)) {
                    this.NumeroCelularField = value;
                    this.RaisePropertyChanged("NumeroCelular");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroDocumento {
            get {
                return this.NumeroDocumentoField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroDocumentoField, value) != true)) {
                    this.NumeroDocumentoField = value;
                    this.RaisePropertyChanged("NumeroDocumento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroTelefono {
            get {
                return this.NumeroTelefonoField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroTelefonoField, value) != true)) {
                    this.NumeroTelefonoField = value;
                    this.RaisePropertyChanged("NumeroTelefono");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroTransaccion {
            get {
                return this.NumeroTransaccionField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroTransaccionField, value) != true)) {
                    this.NumeroTransaccionField = value;
                    this.RaisePropertyChanged("NumeroTransaccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Peso {
            get {
                return this.PesoField;
            }
            set {
                if ((object.ReferenceEquals(this.PesoField, value) != true)) {
                    this.PesoField = value;
                    this.RaisePropertyChanged("Peso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Piso {
            get {
                return this.PisoField;
            }
            set {
                if ((object.ReferenceEquals(this.PisoField, value) != true)) {
                    this.PisoField = value;
                    this.RaisePropertyChanged("Piso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Provincia {
            get {
                return this.ProvinciaField;
            }
            set {
                if ((object.ReferenceEquals(this.ProvinciaField, value) != true)) {
                    this.ProvinciaField = value;
                    this.RaisePropertyChanged("Provincia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string SucursalCliente {
            get {
                return this.SucursalClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.SucursalClienteField, value) != true)) {
                    this.SucursalClienteField = value;
                    this.RaisePropertyChanged("SucursalCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string SucursalRetiro {
            get {
                return this.SucursalRetiroField;
            }
            set {
                if ((object.ReferenceEquals(this.SucursalRetiroField, value) != true)) {
                    this.SucursalRetiroField = value;
                    this.RaisePropertyChanged("SucursalRetiro");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Tarifa {
            get {
                return this.TarifaField;
            }
            set {
                if ((object.ReferenceEquals(this.TarifaField, value) != true)) {
                    this.TarifaField = value;
                    this.RaisePropertyChanged("Tarifa");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string TipoDocumento {
            get {
                return this.TipoDocumentoField;
            }
            set {
                if ((object.ReferenceEquals(this.TipoDocumentoField, value) != true)) {
                    this.TipoDocumentoField = value;
                    this.RaisePropertyChanged("TipoDocumento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string ValorACobrar {
            get {
                return this.ValorACobrarField;
            }
            set {
                if ((object.ReferenceEquals(this.ValorACobrarField, value) != true)) {
                    this.ValorACobrarField = value;
                    this.RaisePropertyChanged("ValorACobrar");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string ValorDeclarado {
            get {
                return this.ValorDeclaradoField;
            }
            set {
                if ((object.ReferenceEquals(this.ValorDeclaradoField, value) != true)) {
                    this.ValorDeclaradoField = value;
                    this.RaisePropertyChanged("ValorDeclarado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Volumen {
            get {
                return this.VolumenField;
            }
            set {
                if ((object.ReferenceEquals(this.VolumenField, value) != true)) {
                    this.VolumenField = value;
                    this.RaisePropertyChanged("Volumen");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamConfirmarCompraConRecibo", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamConfirmarCompraConRecibo : eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompra {
        
        private string NumeroReciboField;
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroRecibo {
            get {
                return this.NumeroReciboField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroReciboField, value) != true)) {
                    this.NumeroReciboField = value;
                    this.RaisePropertyChanged("NumeroRecibo");
                }
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoConfirmarCompra", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompraConRecibo))]
    public partial class ResultadoConfirmarCompra : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroAndreaniField;
        
        private string ReciboField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Recibo {
            get {
                return this.ReciboField;
            }
            set {
                if ((object.ReferenceEquals(this.ReciboField, value) != true)) {
                    this.ReciboField = value;
                    this.RaisePropertyChanged("Recibo");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoConfirmarCompraConRecibo", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoConfirmarCompraConRecibo : eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompra {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamGeneracionRemitodeImposicion", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamGeneracionRemitodeImposicion : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroAndreaniField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoGeneracionRemitodeImposicion", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoGeneracionRemitodeImposicion : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private System.Collections.Generic.List<string> EntidadesField;
        
        private string PdfField;
        
        private string RemitodeImposicionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public System.Collections.Generic.List<string> Entidades {
            get {
                return this.EntidadesField;
            }
            set {
                if ((object.ReferenceEquals(this.EntidadesField, value) != true)) {
                    this.EntidadesField = value;
                    this.RaisePropertyChanged("Entidades");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Pdf {
            get {
                return this.PdfField;
            }
            set {
                if ((object.ReferenceEquals(this.PdfField, value) != true)) {
                    this.PdfField = value;
                    this.RaisePropertyChanged("Pdf");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string RemitodeImposicion {
            get {
                return this.RemitodeImposicionField;
            }
            set {
                if ((object.ReferenceEquals(this.RemitodeImposicionField, value) != true)) {
                    this.RemitodeImposicionField = value;
                    this.RaisePropertyChanged("RemitodeImposicion");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamImprimirConstancia", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamImprimirConstancia : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroAndreaniField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoImprimirConstancia", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoImprimirConstancia : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string PdfLinkFileField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string PdfLinkFile {
            get {
                return this.PdfLinkFileField;
            }
            set {
                if ((object.ReferenceEquals(this.PdfLinkFileField, value) != true)) {
                    this.PdfLinkFileField = value;
                    this.RaisePropertyChanged("PdfLinkFile");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamReimpresionEtiquetas", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamReimpresionEtiquetas : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroAndreaniField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoReimpresionEtiquetas", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoReimpresionEtiquetas : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumberField;
        
        private string PdfLinkFileField;
        
        private eCommerce.Services.ANDREANI_ImposicionRemotaService.Mensaje ResultadoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Number {
            get {
                return this.NumberField;
            }
            set {
                if ((object.ReferenceEquals(this.NumberField, value) != true)) {
                    this.NumberField = value;
                    this.RaisePropertyChanged("Number");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string PdfLinkFile {
            get {
                return this.PdfLinkFileField;
            }
            set {
                if ((object.ReferenceEquals(this.PdfLinkFileField, value) != true)) {
                    this.PdfLinkFileField = value;
                    this.RaisePropertyChanged("PdfLinkFile");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public eCommerce.Services.ANDREANI_ImposicionRemotaService.Mensaje Resultado {
            get {
                return this.ResultadoField;
            }
            set {
                if ((object.ReferenceEquals(this.ResultadoField, value) != true)) {
                    this.ResultadoField = value;
                    this.RaisePropertyChanged("Resultado");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Mensaje", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class Mensaje : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamReporteEnviosPendientesImpresion", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ParamReporteEnviosPendientesImpresion : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string idClienteField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string idCliente {
            get {
                return this.idClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.idClienteField, value) != true)) {
                    this.idClienteField = value;
                    this.RaisePropertyChanged("idCliente");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoReporteEnviosPendientesImpresion", Namespace="http://www.andreani.com.ar")]
    [System.SerializableAttribute()]
    public partial class ResultadoReporteEnviosPendientesImpresion : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CalleField;
        
        private string DepartamentoField;
        
        private string DetalleProductosaEntregarField;
        
        private string LocalidadField;
        
        private string NombreyApellidoField;
        
        private string NumeroField;
        
        private string NumeroAndreaniField;
        
        private string PisoField;
        
        private string ProvinciaField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Calle {
            get {
                return this.CalleField;
            }
            set {
                if ((object.ReferenceEquals(this.CalleField, value) != true)) {
                    this.CalleField = value;
                    this.RaisePropertyChanged("Calle");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Departamento {
            get {
                return this.DepartamentoField;
            }
            set {
                if ((object.ReferenceEquals(this.DepartamentoField, value) != true)) {
                    this.DepartamentoField = value;
                    this.RaisePropertyChanged("Departamento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string DetalleProductosaEntregar {
            get {
                return this.DetalleProductosaEntregarField;
            }
            set {
                if ((object.ReferenceEquals(this.DetalleProductosaEntregarField, value) != true)) {
                    this.DetalleProductosaEntregarField = value;
                    this.RaisePropertyChanged("DetalleProductosaEntregar");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Localidad {
            get {
                return this.LocalidadField;
            }
            set {
                if ((object.ReferenceEquals(this.LocalidadField, value) != true)) {
                    this.LocalidadField = value;
                    this.RaisePropertyChanged("Localidad");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NombreyApellido {
            get {
                return this.NombreyApellidoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreyApellidoField, value) != true)) {
                    this.NombreyApellidoField = value;
                    this.RaisePropertyChanged("NombreyApellido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Numero {
            get {
                return this.NumeroField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroField, value) != true)) {
                    this.NumeroField = value;
                    this.RaisePropertyChanged("Numero");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Piso {
            get {
                return this.PisoField;
            }
            set {
                if ((object.ReferenceEquals(this.PisoField, value) != true)) {
                    this.PisoField = value;
                    this.RaisePropertyChanged("Piso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Provincia {
            get {
                return this.ProvinciaField;
            }
            set {
                if ((object.ReferenceEquals(this.ProvinciaField, value) != true)) {
                    this.ProvinciaField = value;
                    this.RaisePropertyChanged("Provincia");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ParamReporteEnviosPendientesIngreso", Namespace="http://schemas.datacontract.org/2004/07/WCFEcommerce.ImposicionRemotaService")]
    [System.SerializableAttribute()]
    public partial class ParamReporteEnviosPendientesIngreso : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string ClienteField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Cliente {
            get {
                return this.ClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.ClienteField, value) != true)) {
                    this.ClienteField = value;
                    this.RaisePropertyChanged("Cliente");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResultadoReporteEnviosPendientesIngreso", Namespace="http://schemas.datacontract.org/2004/07/WCFEcommerce.ImposicionRemotaService")]
    [System.SerializableAttribute()]
    public partial class ResultadoReporteEnviosPendientesIngreso : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CalleField;
        
        private string DepartamentoField;
        
        private string DetalleProductosaEntregarField;
        
        private string LocalidadField;
        
        private string NombreyApellidoField;
        
        private string NumeroField;
        
        private string NumeroAndreaniField;
        
        private string PisoField;
        
        private string ProvinciaField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Calle {
            get {
                return this.CalleField;
            }
            set {
                if ((object.ReferenceEquals(this.CalleField, value) != true)) {
                    this.CalleField = value;
                    this.RaisePropertyChanged("Calle");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Departamento {
            get {
                return this.DepartamentoField;
            }
            set {
                if ((object.ReferenceEquals(this.DepartamentoField, value) != true)) {
                    this.DepartamentoField = value;
                    this.RaisePropertyChanged("Departamento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string DetalleProductosaEntregar {
            get {
                return this.DetalleProductosaEntregarField;
            }
            set {
                if ((object.ReferenceEquals(this.DetalleProductosaEntregarField, value) != true)) {
                    this.DetalleProductosaEntregarField = value;
                    this.RaisePropertyChanged("DetalleProductosaEntregar");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Localidad {
            get {
                return this.LocalidadField;
            }
            set {
                if ((object.ReferenceEquals(this.LocalidadField, value) != true)) {
                    this.LocalidadField = value;
                    this.RaisePropertyChanged("Localidad");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NombreyApellido {
            get {
                return this.NombreyApellidoField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreyApellidoField, value) != true)) {
                    this.NombreyApellidoField = value;
                    this.RaisePropertyChanged("NombreyApellido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Numero {
            get {
                return this.NumeroField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroField, value) != true)) {
                    this.NumeroField = value;
                    this.RaisePropertyChanged("Numero");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Piso {
            get {
                return this.PisoField;
            }
            set {
                if ((object.ReferenceEquals(this.PisoField, value) != true)) {
                    this.PisoField = value;
                    this.RaisePropertyChanged("Piso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string Provincia {
            get {
                return this.ProvinciaField;
            }
            set {
                if ((object.ReferenceEquals(this.ProvinciaField, value) != true)) {
                    this.ProvinciaField = value;
                    this.RaisePropertyChanged("Provincia");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://www.andreani.com.ar", ConfigurationName="ANDREANI_ImposicionRemotaService.IImposicionRemota")]
    public interface IImposicionRemota {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IAltaPiezaDirecta/AltaPiezaDirecta", ReplyAction="*")]
        eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAltaPiezaDirecta AltaPiezaDirecta(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAltaPiezaDirecta entity);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IAltaPiezaDirecta/AltaPiezaDirecta", ReplyAction="*")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAltaPiezaDirecta> AltaPiezaDirectaAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAltaPiezaDirecta entity);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IAnulacionEnvios/AnularEnvios", ReplyAction="*")]
        System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAnularEnvios> AnularEnvios(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAnularEnvios> envios);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IAnulacionEnvios/AnularEnvios", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAnularEnvios>> AnularEnviosAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAnularEnvios> envios);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IConfirmacionCompra/ConfirmarCompra", ReplyAction="*")]
        eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompra ConfirmarCompra(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompra compra);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IConfirmacionCompra/ConfirmarCompra", ReplyAction="*")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompra> ConfirmarCompraAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompra compra);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IConfirmacionCompra/ConfirmarCompraConRecibo", ReplyAction="*")]
        eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompraConRecibo ConfirmarCompraConRecibo(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompraConRecibo compra);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IConfirmacionCompra/ConfirmarCompraConRecibo", ReplyAction="*")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompraConRecibo> ConfirmarCompraConReciboAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompraConRecibo compra);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IGeneracionRemitodeImposicion/GeneracionRemitodeImposi" +
            "cion", ReplyAction="*")]
        System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoGeneracionRemitodeImposicion> GeneracionRemitodeImposicion(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamGeneracionRemitodeImposicion> entidades);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IGeneracionRemitodeImposicion/GeneracionRemitodeImposi" +
            "cion", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoGeneracionRemitodeImposicion>> GeneracionRemitodeImposicionAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamGeneracionRemitodeImposicion> entidades);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IImprimirConstancia/ImprimirConstancia", ReplyAction="*")]
        System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoImprimirConstancia> ImprimirConstancia(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamImprimirConstancia> entities);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IImprimirConstancia/ImprimirConstancia", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoImprimirConstancia>> ImprimirConstanciaAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamImprimirConstancia> entities);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IReimpresionEtiquetas/ReimpresionEtiquetas", ReplyAction="*")]
        System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReimpresionEtiquetas> ReimpresionEtiquetas(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReimpresionEtiquetas> entities);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IReimpresionEtiquetas/ReimpresionEtiquetas", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReimpresionEtiquetas>> ReimpresionEtiquetasAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReimpresionEtiquetas> entities);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IReporteEnviosPendientesImpresion/ReporteDeEnviosPendi" +
            "entesImpresion", ReplyAction="*")]
        System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesImpresion> ReporteDeEnviosPendientesImpresion(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesImpresion ventas);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IReporteEnviosPendientesImpresion/ReporteDeEnviosPendi" +
            "entesImpresion", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesImpresion>> ReporteDeEnviosPendientesImpresionAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesImpresion ventas);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IReporteEnviosPendientesIngreso/ReporteDeEnviosPendien" +
            "tesIngreso", ReplyAction="*")]
        System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesIngreso> ReporteDeEnviosPendientesIngreso(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesIngreso cliente);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IReporteEnviosPendientesIngreso/ReporteDeEnviosPendien" +
            "tesIngreso", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesIngreso>> ReporteDeEnviosPendientesIngresoAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesIngreso cliente);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IImposicionRemotaChannel : eCommerce.Services.ANDREANI_ImposicionRemotaService.IImposicionRemota, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ImposicionRemotaClient : System.ServiceModel.ClientBase<eCommerce.Services.ANDREANI_ImposicionRemotaService.IImposicionRemota>, eCommerce.Services.ANDREANI_ImposicionRemotaService.IImposicionRemota {
        
        public ImposicionRemotaClient() {
        }
        
        public ImposicionRemotaClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ImposicionRemotaClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ImposicionRemotaClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ImposicionRemotaClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAltaPiezaDirecta AltaPiezaDirecta(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAltaPiezaDirecta entity) {
            return base.Channel.AltaPiezaDirecta(entity);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAltaPiezaDirecta> AltaPiezaDirectaAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAltaPiezaDirecta entity) {
            return base.Channel.AltaPiezaDirectaAsync(entity);
        }
        
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAnularEnvios> AnularEnvios(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAnularEnvios> envios) {
            return base.Channel.AnularEnvios(envios);
        }
        
        public System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoAnularEnvios>> AnularEnviosAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamAnularEnvios> envios) {
            return base.Channel.AnularEnviosAsync(envios);
        }
        
        public eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompra ConfirmarCompra(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompra compra) {
            return base.Channel.ConfirmarCompra(compra);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompra> ConfirmarCompraAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompra compra) {
            return base.Channel.ConfirmarCompraAsync(compra);
        }
        
        public eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompraConRecibo ConfirmarCompraConRecibo(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompraConRecibo compra) {
            return base.Channel.ConfirmarCompraConRecibo(compra);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoConfirmarCompraConRecibo> ConfirmarCompraConReciboAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamConfirmarCompraConRecibo compra) {
            return base.Channel.ConfirmarCompraConReciboAsync(compra);
        }
        
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoGeneracionRemitodeImposicion> GeneracionRemitodeImposicion(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamGeneracionRemitodeImposicion> entidades) {
            return base.Channel.GeneracionRemitodeImposicion(entidades);
        }
        
        public System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoGeneracionRemitodeImposicion>> GeneracionRemitodeImposicionAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamGeneracionRemitodeImposicion> entidades) {
            return base.Channel.GeneracionRemitodeImposicionAsync(entidades);
        }
        
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoImprimirConstancia> ImprimirConstancia(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamImprimirConstancia> entities) {
            return base.Channel.ImprimirConstancia(entities);
        }
        
        public System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoImprimirConstancia>> ImprimirConstanciaAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamImprimirConstancia> entities) {
            return base.Channel.ImprimirConstanciaAsync(entities);
        }
        
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReimpresionEtiquetas> ReimpresionEtiquetas(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReimpresionEtiquetas> entities) {
            return base.Channel.ReimpresionEtiquetas(entities);
        }
        
        public System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReimpresionEtiquetas>> ReimpresionEtiquetasAsync(System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReimpresionEtiquetas> entities) {
            return base.Channel.ReimpresionEtiquetasAsync(entities);
        }
        
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesImpresion> ReporteDeEnviosPendientesImpresion(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesImpresion ventas) {
            return base.Channel.ReporteDeEnviosPendientesImpresion(ventas);
        }
        
        public System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesImpresion>> ReporteDeEnviosPendientesImpresionAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesImpresion ventas) {
            return base.Channel.ReporteDeEnviosPendientesImpresionAsync(ventas);
        }
        
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesIngreso> ReporteDeEnviosPendientesIngreso(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesIngreso cliente) {
            return base.Channel.ReporteDeEnviosPendientesIngreso(cliente);
        }
        
        public System.Threading.Tasks.Task<System.Collections.Generic.List<eCommerce.Services.ANDREANI_ImposicionRemotaService.ResultadoReporteEnviosPendientesIngreso>> ReporteDeEnviosPendientesIngresoAsync(eCommerce.Services.ANDREANI_ImposicionRemotaService.ParamReporteEnviosPendientesIngreso cliente) {
            return base.Channel.ReporteDeEnviosPendientesIngresoAsync(cliente);
        }
    }
}
